/*
 *  -----------------------------------
 *  java mexico
 *  -----------------------------------
 *  Descripcion :
 *  INSERTAR FECHA EN MySQL DESDE JAVA
 *  Submitted by TONO2 on Dom, 12/03/2017 - 16:02 Java Standard Edition
 *  Hola compañeros:
 *  Tengo una tabla en MySQL con un campo llamado Fecha con formato Date.
 *  Desde una aplicación con Netbeans capturo una fecha con JDateChooser.
 *  Trato de ingresar la fecha y no lo consigo después de hacer varias pruebas.
 *  Haber que se os ocurre
 *  -----------------------------------
 *  Actualizacion: 2017_12_06
 *  -----------------------------------
 *  Descripcion :
 *  Modifique algunas lineas de codigo de tu projecto
 *  te envio el codigo completo con las nuevas modificaciones compilado en Netbeans 8.2
 *  -----------------------------------
 *  Creo el proyecto con el nombre PruebaFecha
 *  elimino la clase que me crea por defecto. PruebaFecha.java
 *  -----------------------------------
 *  Agrego dos objetos nuevos al proyecto:
 *  ConexionMySQL.java                              conexion base de datos Mysql. test  Tabla. prueba 
 *  PruebaFechas.java                               Jframe
 *
 *  ----------------------------------- Jframe
 *  0. mysql-connector-java-5.1.18-bin.jar          copiar la libreria en la carpeta lib de mi projecto ...\lib\
 *  0. jcalendar-1.4.jar                            copiar la libreria en la carpeta lib de mi projecto ...\lib\
 *  0. Agregar las librerias a mi projecto          package Libraries
 *
 *  1. import com.mysql...                          al copiar el metodo PruebaFecha me importa las librerias
 *                                                   para la conexion a la base de datos Mysql
 *     import javax.swing.JOptionpane               libreria para cuadro de mensajes en pantalla
 *     import java.text.SimpleDateFormat            libreria para formatos de fecha al agregar la linea
 *                                                  SimpleDateFormat formatofecha = new SimpleDateFormat("yyyy-MM-dd");
 *
 *  2. btninsertarActionPerformed                   boton de comando insertar
 *                                                  con su respetivo evento
 *                                                  al hacer click ejecuta el metodo  PruebaFecha ()
 *
 *  3. ConexionMySQL mysql = new ConexionMySQL();   instancia a la clase para establecer la conexion a la base de datos
 *                                                  y acceder a los diferentes metodos establecidos
 */

package pruebafecha;

//1.
import com.mysql.jdbc.Connection;
import com.mysql.jdbc.PreparedStatement;
import com.mysql.jdbc.Statement;
import java.text.SimpleDateFormat;
import javax.swing.JOptionPane;

public class PruebaFechas extends javax.swing.JFrame {

    SimpleDateFormat formatofecha = new SimpleDateFormat("yyyy-MM-dd");
    
    public PruebaFechas() {
        initComponents();
    }

    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jdtchooserfecha = new com.toedter.calendar.JDateChooser();
        txtFecha = new javax.swing.JTextField();
        btninsertar = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Fecha de Prueba");
        getContentPane().setLayout(null);

        jdtchooserfecha.setBorder(javax.swing.BorderFactory.createTitledBorder(javax.swing.BorderFactory.createEmptyBorder(1, 1, 1, 1), "Fecha", javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION, javax.swing.border.TitledBorder.ABOVE_TOP, new java.awt.Font("Tahoma", 0, 10))); // NOI18N
        jdtchooserfecha.setMaxSelectableDate(new java.util.Date(253370786509000L));
        getContentPane().add(jdtchooserfecha);
        jdtchooserfecha.setBounds(40, 40, 180, 45);
        getContentPane().add(txtFecha);
        txtFecha.setBounds(45, 100, 170, 30);

        btninsertar.setText("Insertar");
        btninsertar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btninsertarActionPerformed(evt);
            }
        });
        getContentPane().add(btninsertar);
        btninsertar.setBounds(240, 55, 90, 23);

        setSize(new java.awt.Dimension(414, 255));
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    //2.
    private void btninsertarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btninsertarActionPerformed
        PruebaFecha();
    }//GEN-LAST:event_btninsertarActionPerformed

    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            @Override
            public void run() {
                new PruebaFechas().setVisible(true);
            }
        });
    }

public void PruebaFecha () {
    //Pasa la captura de fecha a la DBF
    String sSQL       = "";
    String mensaje    = "La fecha ha sido dada de alta correctamente";
    String pasofecha  = "";
    
    //3. Para establecer la conexión
    ConexionMySQL mysql = new ConexionMySQL();
    Connection    cn    = (Connection) mysql.Conectar();
    
    try{
        txtFecha.setText(formatofecha.format(jdtchooserfecha.getDate()));
        pasofecha = (formatofecha.format(jdtchooserfecha.getDate()));
        
        Statement st = (Statement) cn.createStatement();        
        sSQL = "INSERT INTO test.prueba(Fecha)"+
        "VALUES (?)";
        PreparedStatement pst = (PreparedStatement) cn.prepareStatement(sSQL);
        pst.setString(1, pasofecha);
        pst.execute();
        pst.close();
        
        JOptionPane.showMessageDialog(null, mensaje);
    }
    catch(Exception e){
        JOptionPane.showMessageDialog(null, e);
    }
    //cerrar conexion bd mysql
    mysql.desconectarBaseDeDatos(cn);
}
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btninsertar;
    public static com.toedter.calendar.JDateChooser jdtchooserfecha;
    public static javax.swing.JTextField txtFecha;
    // End of variables declaration//GEN-END:variables
}
//fin clase pruebafechas *****